Bug 1299190 - Package needs update to a newer version
Package needs update to a newer version
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mingw-wine-gecko (Show other bugs)
23
noarch Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-17 01:52 EST by Kriton Kyrimis
Modified: 2016-02-21 11:31 EST (History)
4 users (show)

See Also:
Fixed In Version: mingw-wine-gecko-2.44-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-21 11:31:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kriton Kyrimis 2016-01-17 01:52:59 EST
Description of problem:
Wine 1.9.1 requires wine_gecko 2.44-beta1, but the mingw-wine-gecko provides version 2.40.

Version-Release number of selected component (if applicable):
2.40-1.fc23

How reproducible:


Steps to Reproduce:
1. Immediately after the update to the new version (alternatively, after renaming the ~/.wine folder, so that the folder will have to be recreated from scratch), run a program using wine on a terminal, e.g., "wine notepad".

Actual results:
A warning dialog saying "Wine could not find a Gecko package which is needed for applications embedding HTML to work corrctly."


Expected results:
No warning dialog.


Additional info:
Installing wine_gecko-2.44-beta1-x86_64.msi and wine_gecko-2.44-beta1-x86.msi from http://dl.winehq.org/wine/wine-gecko/2.44-beta1/ in /usr/share/wine/gecko fixes the problem.
Comment 1 Erik van Pienbroek 2016-02-07 10:21:38 EST
@Andreas and @Michael: the mingw-w64 toolchain in Fedora 23 has just been updated so wine-gecko-2.44 can now be built normally on Fedora 23 as can be seen from this scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12897715
Comment 2 Fedora Update System 2016-02-11 19:25:50 EST
mingw-wine-gecko-2.44-1.fc23 wine-1.9.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e77e105db
Comment 3 Fedora Update System 2016-02-14 11:24:11 EST
mingw-wine-gecko-2.44-1.fc23, wine-1.9.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5e77e105db
Comment 4 Fedora Update System 2016-02-21 11:31:27 EST
mingw-wine-gecko-2.44-1.fc23, wine-1.9.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.